Bug 1497591 - [GSS](6.4.z) set-tx-query-timeout does not work when the remaining transaction timeout is shorter than one second
Summary: [GSS](6.4.z) set-tx-query-timeout does not work when the remaining transactio...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA
Version: 6.4.17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.19
Assignee: jboss-set
QA Contact: Jiří Bílek
URL:
Whiteboard:
Depends On:
Blocks: 1436227 eap6419-payload
TreeView+ depends on / blocked
 
Reported: 2017-10-02 05:50 UTC by Masafumi Miura
Modified: 2018-04-16 11:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 11:05:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-13299 0 Major Verified [GSS](7.0.z) JBJCA-1355 - set-tx-query-timeout does not work when the remaining transaction timeout is shorter than one ... 2019-04-10 06:07:22 UTC
Red Hat Issue Tracker JBEAP-13300 0 Major Verified [GSS](7.1.z) set-tx-query-timeout does not work when the remaining transaction timeout is shorter than one second 2019-04-10 06:07:23 UTC
Red Hat Issue Tracker JBJCA-1355 0 Major Resolved set-tx-query-timeout does not work when the remaining transaction timeout is shorter than one second 2019-04-10 06:07:23 UTC
Red Hat Knowledge Base (Solution) 3201332 0 None None None 2017-10-02 06:00:14 UTC

Description Masafumi Miura 2017-10-02 05:50:50 UTC
set-tx-query-timeout setting does not work when the remaining transaction timeout is shorter than one second (between 0-999 millis) due to incorrect round-up in IronJacamar WrapperDataSource#getTimeLeftBeforeTransactionTimeout().

See JBJCA-1355 for details.

Comment 4 Jiří Bílek 2018-01-05 09:26:31 UTC
Verified with EAP 6.4.19.CP.CR1


Note You need to log in before you can comment on or make changes to this bug.